using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SK;
using APT.Utility;
using Microsoft.AspNetCore.Mvc;

namespace APT.SK.WebApi.Controllers.Api
{
    /// <summary>
    ///  评价要求
    /// </summary>
    [Route("api/SK/SKEvaluation")]
    public partial class EvaluationController : AuthorizeApiController<T_SK_EVALUATION>
    {
        /// <summary>
        /// 更新或新增数据
        /// </summary>
        /// <param name="entity">对象实体</param>
        /// <returns></returns>
        [HttpPost, Route("FullUpdate")]
        public JsonActionResult<bool> FullUpdate([FromBody] T_SK_EVALUATION entity)
        {
            return WitUpdate(entity);
        }
    }
}
